Subject: Re: accessing cygwin functions from non-cygwin app
From: Joshua Daniel Franklin <[email-masked]>
To: Jan Beulich <[email-masked]>
Cc: [email-masked]
Date: Wed, 27 Nov 2002 06:48:35 -0800 (PST)

--- Jan Beulich <[email-masked]> wrote:
> Thanks for the answer, but you mainly missed the point: I want to dynamically
> load cygwin1.dll (if at all present on the system) and call a single function
> in it. The problem is not the process of loading the DLL and calling the
> function (I'm not a beginner after all), but the fact that plainly calling
> the intended function causes the process to crash due to uninitialized
> variables within cygwin1.dll. The question thus is - what function(s) do I
> have to call to initialize cygwin1.dll sufficiently? Thanks again, Jan
 
Unfortunately, as far as DLL-loading is concerned, I am a beginner.
Does anyone know how to load cygwin1.dll dynamically (with the proper 
initialization)?

__________________________________________________
Do you Yahoo!?
Yahoo! Mail Plus - Powerful. Affordable. Sign up now.
http://mailplus.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/